Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait Interface extends TreeDSL
  Definition Classes
    patmat
- CODE
- MatchMonadInterface
- TypedSubstitution
- vpmName

t

scala.tools.nsc.transform.patmat.Interface

# TypedSubstitution

###

#### trait TypedSubstitution extends MatchMonadInterface

Source
  PatternMatching.scala

Linear Supertypes
MatchMonadInterface, AnyRef, Any
Known Subclasses
MatchAnalyzer, MatchApproximator, OptimizedCodegen, CommonSubconditionElimination, MatchOptimizer, SwitchEmission, MatchTranslator, TreeMakers, OptimizingMatchTranslator
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TypedSubstitution
2. MatchMonadInterface
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class Substitution extends AnyRef

### Abstract Value Members

1.  abstract val typer: (analyzer)#Typer
   Definition Classes
     MatchMonadInterface

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TypedSubstitution toany2stringadd[TypedSubstitution] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TypedSubstitution, B)
   Implicit
     This member is added by an implicit conversion from TypedSubstitution toArrowAssoc[TypedSubstitution] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (TypedSubstitution) => Boolean, msg: => Any): TypedSubstitution
   Implicit
     This member is added by an implicit conversion from TypedSubstitution toEnsuring[TypedSubstitution] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (TypedSubstitution) => Boolean): TypedSubstitution
   Implicit
     This member is added by an implicit conversion from TypedSubstitution toEnsuring[TypedSubstitution] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): TypedSubstitution
    Implicit
      This member is added by an implicit conversion from TypedSubstitution toEnsuring[TypedSubstitution] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): TypedSubstitution
    Implicit
      This member is added by an implicit conversion from TypedSubstitution toEnsuring[TypedSubstitution] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TypedSubstitution toStringFormat[TypedSubstitution] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val matchOwner: Global.Symbol
    Definition Classes
      MatchMonadInterface
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def pureType(tp: Global.Type): Global.Type
    Definition Classes
      MatchMonadInterface
24.  def reportMissingCases(pos: Global.Position, counterExamples: List[String]): Unit
    Definition Classes
      MatchMonadInterface
25.  def reportUnreachable(pos: Global.Position): Unit
    Definition Classes
      MatchMonadInterface
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
31.  object EmptySubstitution extends Substitution
32.  object Substitution

### Deprecated Value Members

1.  def →[B](y: B): (TypedSubstitution, B)
   Implicit
     This member is added by an implicit conversion from TypedSubstitution toArrowAssoc[TypedSubstitution] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from MatchMonadInterface

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromTypedSubstitution to any2stringadd[TypedSubstitution]

### Inherited by implicit conversion StringFormat fromTypedSubstitution to StringFormat[TypedSubstitution]

### Inherited by implicit conversion Ensuring fromTypedSubstitution to Ensuring[TypedSubstitution]

### Inherited by implicit conversion ArrowAssoc fromTypedSubstitution to ArrowAssoc[TypedSubstitution]

### Ungrouped